﻿@*@model Avira.MarketingResearch.Model.ViewModels.Trend.TrendViewModel*@
@using Microsoft.AspNetCore.Http
@using Newtonsoft.Json;
@using Avira.MarketingResearch.Model.ViewModels;

@if (Context.Session.GetString("DisplayName") != null)
    {

        var Permissions = Context.Session.GetString("PermissionList");
        var controllerName = this.ViewContext.RouteData.Values["controller"].ToString();
        var PermissionList = JsonConvert.DeserializeObject<List<PermissionsByUserRoleIdViewModel.PermissionByRoleId>>(Permissions);
        var permission = PermissionList.FirstOrDefault(x => x.PermissionName.ToLower().Equals(controllerName.ToLower()));
        var userRoleName = Context.Session.GetString("UserRoleName");

        var IsAllowSubmit = PermissionList.Any(x => x.PermissionName.Equals("TrendSubmitButton", StringComparison.OrdinalIgnoreCase));
        var IsAllowApprove = PermissionList.Any(x => x.PermissionName.Equals("TrendApproveButton", StringComparison.OrdinalIgnoreCase));
        var IsAllowRejected = PermissionList.Any(x => x.PermissionName.Equals("TrendRejectedButton", StringComparison.OrdinalIgnoreCase));
        var IsAllowSave = PermissionList.Any(x => x.PermissionName.Equals("TrendSaveButton", StringComparison.OrdinalIgnoreCase));
        


<div class="section-container section-with-top-border p-b-10">
        <div style="text-align: center;">
            <p>
                <button type="submit" name="actionName" value="Previous" class="btn btn-grey m-b-5">Previous</button>
                @*1)read 2)create read 3) update create read 4) delete update create read*@
                @if (permission == null || permission.PermissionLevel == 1)
                {
                    <button type="submit" name="actionName" disabled value="save" class="btn btn-grey m-b-5 btnSave">Save</button>
                    <button type="submit" name="actionName" disabled value="Clear" class="btn btn-grey m-b-5" OnClientClick="this.form.reset();return false;">Clear</button>
                    <button type="submit" name="actionName" disabled value="Submitted" class="btn btn-grey m-b-5 btnSave">Submit</button>
                    <button type="submit" name="actionName" disabled value="Approve" class="btn btn-grey m-b-5">Approve</button>
                    <button type="submit" name="actionName" disabled value="Rejected" class="btn btn-grey m-b-5">Reject</button>


                }
                else
                {

                    //if (userRoleName.Equals("Author") || userRoleName.Equals("Co-Author"))
                    //{
                        <button type="submit" name="actionName" @(IsAllowSave? "":"disabled") value="save" class="btn btn-grey m-b-5 btnSave">Save</button>
                        <button type="submit" name="actionName" value="Clear" class="btn btn-grey m-b-5" OnClientClick="this.form.reset();return false;">Clear</button>
                        <button type="submit" name="actionName" @(IsAllowSubmit? "":"disabled") value="Submitted" class="btn btn-grey m-b-5 btnSave">Submit</button>
                        <button type="submit" name="actionName" @(IsAllowApprove? "":"disabled") value="Approve" class="btn btn-grey m-b-5">Approve</button>
                        <button type="submit" name="actionName" @(IsAllowRejected? "":"disabled") value="Rejected" class="btn btn-grey m-b-5">Reject</button>
                    @*}
                    else
                    {
                        <button type="submit" name="actionName" value="save" class="btn btn-grey m-b-5 btnSave">Save</button>
                        <button type="submit" name="actionName" value="Cancel" class="btn btn-grey m-b-5" OnClientClick="this.form.reset();return false;">Clear</button>
                        <button type="submit" name="actionName" value="Submitted" class="btn btn-grey m-b-5 btnSave">Submit</button>
                        <button type="submit" name="actionName" value="Approve" class="btn btn-grey m-b-5">Approve</button>
                        <button type="submit" name="actionName" value="Rejected" class="btn btn-grey m-b-5">Reject</button>
                    }*@
                }


                <button type="submit" name="actionName" value="Next" class="btn btn-grey m-b-5">Next</button>
            </p>
        </div>
    </div>

}